Package Gnumed :: Package business :: Module gmVaccination |
[frames] | no frames]

# Module gmVaccination

source code

GNUmed vaccination related business objects.

Version: $Revision: 1.38 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cVaccine Represents one vaccine.
| cVaccination
| cMissingVaccination Represents one missing vaccination.
| cMissingBooster Represents one due booster.
| cScheduledVaccination Represents one vaccination scheduled following a course.
| cVaccinationCourse Represents one vaccination course.

Functions
get_indications(order_by=None, pk_indications=None) | source code
create_vaccine(pk_brand=None, brand_name=None, indications=None, pk_indications=None) | source code
delete_vaccine(vaccine=None) | source code
get_vaccines(order_by=None) | source code
map_indications2generic_vaccine(indications=None) | source code
regenerate_generic_vaccines() | source code
create_vaccination(encounter=None, episode=None, vaccine=None, batch_no=None) | source code
delete_vaccination(vaccination=None) | source code
format_latest_vaccinations(output_format=u'latex', emr=None) | source code
create_vaccination_old(patient_id=None, episode_id=None, encounter_id=None, staff_id=None, vaccine=None) | source code
get_vacc_courses() | source code
get_vacc_regimes_by_recommender_ordered(pk_patient=None, clear_cache=False) | source code
get_missing_vaccinations_ordered_min_due(pk_patient) | source code
get_indications_from_vaccinations(vaccinations=None) Retrieves vaccination bundle indications list. | source code
put_patient_on_schedule(patient_id=None, course=None) Schedules a vaccination course for a patient | source code
remove_patient_from_schedule(patient_id=None, course=None) unSchedules a vaccination course for a patient | source code
get_matching_vaccines_for_indications(all_ind) | source code

Variables
| sql_fetch_vaccination = `u"""SELECT * FROM clin.v_pat_vaccinati`...``

Imports: sys, copy, logging, gmBusinessDBObject, gmPG2, gmI18N, gmTools, gmMedication

Function Details

### get_indications_from_vaccinations(vaccinations=None) | source code
Retrieves vaccination bundle indications list. * vaccinations = list of any type of vaccination indicated due vacc overdue vaccs due boosters arbitrary

### put_patient_on_schedule(patient_id=None, course=None) | source code
Schedules a vaccination course for a patient * patient_id = Patient's PK * course = course object or Vaccination course's PK

### remove_patient_from_schedule(patient_id=None, course=None) | source code
unSchedules a vaccination course for a patient * patient_id = Patient's PK * course = course object or Vaccination course's PK

Variables Details

  ### sql_fetch_vaccination Value:
      u"""SELECT * FROM clin.v_pat_vaccinations WHERE %s"""